
package org.bitbucket.bradleysmithllc.etlunit.feature.informatica.json.informatica.execute;

import org.bitbucket.bradleysmithllc.etlunit.ClassResponder;
import org.bitbucket.bradleysmithllc.etlunit.ExecutionContext;
import org.bitbucket.bradleysmithllc.etlunit.OperationProcessor;
import org.bitbucket.bradleysmithllc.etlunit.TestAssertionFailure;
import org.bitbucket.bradleysmithllc.etlunit.TestExecutionError;
import org.bitbucket.bradleysmithllc.etlunit.TestWarning;
import org.bitbucket.bradleysmithllc.etlunit.context.VariableContext;
import org.bitbucket.bradleysmithllc.etlunit.parser.ETLTestMethod;
import org.bitbucket.bradleysmithllc.etlunit.parser.ETLTestOperation;
import org.bitbucket.bradleysmithllc.etlunit.parser.ETLTestValueObject;

public interface ExecuteHandler
    extends ClassResponder, OperationProcessor
{


    public abstract ClassResponder.action_code execute(ExecuteRequest request, ETLTestMethod testMethod, ETLTestOperation testOperation, ETLTestValueObject valueObject, VariableContext variableContext, ExecutionContext executionContext)
        throws TestAssertionFailure, TestExecutionError, TestWarning
    ;

}
